- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- File List
- File Members

# IOP_IORC.cpp File Reference

`#include "tao/IOP_IORC.h"`
`#include "tao/CDR.h"`
`#include "tao/ORB_Core.h"`

Include dependency graph for IOP_IORC.cpp:

## Namespaces
namespace | TAO
## Defines
#define | _IOP_TAGGEDPROFILESEQ_CS_
#define | _IOP_MULTIPLECOMPONENTPROFILE_CS_
#define | _IOP_TAGGEDCOMPONENTLIST_CS_
#define | _IOP_TAGGEDCOMPONENTSEQ_CS_
#define | _IOP_SERVICECONTEXTLIST_CS_
## Functions
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::TaggedProfile &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::TaggedProfile &_tao_aggregate)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::TaggedProfileSeq &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::TaggedProfileSeq &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::IOR &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::IOR &_tao_aggregate)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::TaggedComponent &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::TaggedComponent &_tao_aggregate)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::MultipleComponentProfile &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::MultipleComponentProfile &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::TaggedComponentList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::TaggedComponentList &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::TaggedComponentSeq &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::TaggedComponentSeq &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::ServiceContext &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::ServiceContext &_tao_aggregate)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IOP::ServiceContextList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IOP::ServiceContextList &_tao_sequence)

## Define Documentation

#define _IOP_MULTIPLECOMPONENTPROFILE_CS_

#define _IOP_SERVICECONTEXTLIST_CS_

#define _IOP_TAGGEDCOMPONENTLIST_CS_

#define _IOP_TAGGEDCOMPONENTSEQ_CS_

#define _IOP_TAGGEDPROFILESEQ_CS_

## Function Documentation

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::ServiceContextList & | _tao_sequence |
| ) |  |  |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::ServiceContext & | _tao_aggregate |
| ) |  |  |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedComponentSeq & | _tao_sequence |
| ) |  |  |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedComponentList & | _tao_sequence |
| ) |  |  |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::MultipleComponentProfile & | _tao_sequence |
| ) |  |  |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedComponent & | _tao_aggregate |
| ) |  |  |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::IOR & | _tao_aggregate |
| ) |  |  |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedProfileSeq & | _tao_sequence |
| ) |  |  |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IOP::TaggedProfile & | _tao_aggregate |
| ) |  |  |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::ServiceContextList & | _tao_sequence |
| ) |  |  |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::ServiceContext & | _tao_aggregate |
| ) |  |  |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedComponentSeq & | _tao_sequence |
| ) |  |  |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedComponentList & | _tao_sequence |
| ) |  |  |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::MultipleComponentProfile & | _tao_sequence |
| ) |  |  |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedComponent & | _tao_aggregate |
| ) |  |  |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::IOR & | _tao_aggregate |
| ) |  |  |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedProfileSeq & | _tao_sequence |
| ) |  |  |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IOP::TaggedProfile & | _tao_aggregate |
| ) |  |  |